# eric7.Preferences.ConfigurationPages.InterfaceLightPage

Module implementing the Interface configuration page (variant for web browser).

### Global Attributes

None

### Classes

InterfaceLightPage | Class implementing the Interface configuration page (variant for generic use).

### Functions

create | Module function to create the configuration page.

## InterfaceLightPage

Class implementing the Interface configuration page (variant for generic use).

### Derived from

ConfigurationPageBase, Ui_InterfaceLightPage

### Class Attributes

None

### Class Methods

None

### Methods

InterfaceLightPage | Constructor
__populateLanguageCombo | Private method to initialize the language combo box.
__populateStyleCombo | Private method to populate the style combo box.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### InterfaceLightPage (Constructor)

InterfaceLightPage()

Constructor

#### InterfaceLightPage.__populateLanguageCombo

__populateLanguageCombo()

Private method to initialize the language combo box.

#### InterfaceLightPage.__populateStyleCombo

__populateStyleCombo()

Private method to populate the style combo box.

#### InterfaceLightPage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up